SphinxClient::getLastWarning
SphinxClient::resetFilters
SphinxClient
PHP Manual

# SphinxClient::query

(No version information available, might be only in CVS)

SphinxClient::query — Execute search query

### Description

public array SphinxClient::query ( string `$query` [, string `$index` [, string `$comment` ]] )

Connects to searchd server, runs the given search query with the current settings, obtains and returns the result set.

### Parameters

`query`

  Query string.

`index`

  An index name (or names).

`comment`

### Return Values

On success, SphinxClient::query()() returns a list of found matches and additional per-query statistics. The result set is a hash utilize other structures instead of hash) with the following keys and values:

Result set structure
Key | Value description
--- | ---
"matches" | An array with found document IDs as keys and their weight and attributes values as values
"total" | Total number of matches found and retrieved (depends on your settings)
"total_found" | Total number of found documents matching the query
"words" | An array with words (case-folded and stemmed) as keys and per-word statistics as values
"error" | Query error message reported by searchd
"warning" | Query warning reported by searchd

### See Also

- SphinxClient::runQueries
- SphinxClient::addQuery

SphinxClient::getLastWarning
SphinxClient::resetFilters
SphinxClient
PHP Manual